hive-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ning Zhang (JIRA)" <j...@apache.org>
Subject [jira] Updated: (HIVE-1526) Hive should depend on a release version of Thrift
Date Wed, 01 Dec 2010 19:41:13 GMT

     [ https://issues.apache.org/jira/browse/HIVE-1526?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Ning Zhang updated HIVE-1526:
-----------------------------

    Attachment: compile.err

Attached the complete output of 'ant package: compile.err. Also note that the patch still
include the lib/libthrift.jar and lib/libfb303.jar which are the old versions. But the error
is the same even though replacing libthrft.jar and libfb303.jar with thrift-0.5.0.jar and
thrift-fb303-0.5.0.jar.

> Hive should depend on a release version of Thrift
> -------------------------------------------------
>
>                 Key: HIVE-1526
>                 URL: https://issues.apache.org/jira/browse/HIVE-1526
>             Project: Hive
>          Issue Type: Task
>          Components: Build Infrastructure, Clients
>            Reporter: Carl Steinbach
>            Assignee: Carl Steinbach
>             Fix For: 0.7.0
>
>         Attachments: compile.err, HIVE-1526-complete.4.patch.txt, HIVE-1526-complete.5.patch.txt,
HIVE-1526-no-codegen.3.patch.txt, HIVE-1526-no-codegen.4.patch.txt, HIVE-1526-no-codegen.5.patch.txt,
HIVE-1526.2.patch.txt, HIVE-1526.3.patch.txt, hive-1526.txt, libfb303.jar, libthrift.jar,
serde2_test.patch, svn_rm.sh, thrift-0.5.0.jar, thrift-fb303-0.5.0.jar
>
>
> Hive should depend on a release version of Thrift, and ideally it should use Ivy to resolve
this dependency.
> The Thrift folks are working on adding Thrift artifacts to a maven repository here: https://issues.apache.org/jira/browse/THRIFT-363

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message